## org.apache.lucene.analysis.position
Class PositionFilterFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenFilterFactory
              org.apache.lucene.analysis.position.PositionFilterFactory

Deprecated. (4.4)

    @Deprecated
    public class PositionFilterFactory

extends TokenFilterFactory

Factory for `PositionFilter`. Set the positionIncrement of all tokens to the "positionIncrement", except the first return token which retains its original positionIncrement value. The default positionIncrement value is zero.

     <fieldType name="text_position" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.PositionFilterFactory" positionIncrement="0"/>
       </analyzer>
     </fieldType>

Since:
  solr 1.4
See Also:
  `PositionFilter`

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

Constructor Summary
`PositionFilterFactory(Map<String,String> args)` Deprecated. Creates a new PositionFilterFactory

Method Summary
`PositionFilter` `create(TokenStream input)` Deprecated. Transform the specified input TokenStream

Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory
`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PositionFilterFactory

    public PositionFilterFactory(Map<String,String> args)

  Deprecated.
  Creates a new PositionFilterFactory

Method Detail

### create

    public PositionFilter create(TokenStream input)

  Deprecated.
  Description copied from class: `TokenFilterFactory`
  Transform the specified input TokenStream

  Specified by:
    `create` in class `TokenFilterFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.